Huebsch Docs
API Reference

Intake Script API

Identical to Production but productions are not automatically processed.

Endpoint

POST /api/intake/script/{accessToken}

Quick Test

curl -X POST https://huebsch.schoenreden.com/api/intake/script/YOUR_TOKEN \
  -H "Content-Type: application/json" \
  -d '{"type":"doc","content":[{"type":"article","attrs":{"title":"Test","slug":"/test","voiceName":"Hannah","proofreadPromptName":"Default"},"content":[{"type":"paragraph","attrs":{"voiceName":"Hannah","proofreadPromptName":"Default"},"content":[{"type":"text","text":"Hello world."}]}]}]}'

Request Body

Same as Intake Production API.

{
  "type": "doc",
  "content": [
    {
      "type": "article",
      "attrs": {
        "title": "Article Title",
        "slug": "/unique-slug",
        "voiceName": "Voice Name",
        "proofreadPromptName": "Prompt Name"
      },
      "content": [
        // Same content nodes as production...
      ]
    }
  ]
}

Behavior Difference

AspectProductionScript
Content savedYesYes
Audio generatedAutomaticallyManual trigger required

Triggering Audio Processing

Scripts can be manually processed using internal tooling. Contact your Huebsch contact for details.

Response

See Intake Production API - Response for response format, webhooks, and error codes.

Usage

  • Stage content for review before audio generation
  • Queue content for manual processing later
  • Test intake without triggering production

On this page